source: squid-ssl/trunk/fuentes/src/clients/Makefile @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 22 months ago

Initial release

File size: 39.7 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# src/clients/Makefile.  Generated from Makefile.in by configure.
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15
16
17
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/squid
74pkgincludedir = $(includedir)/squid
75pkglibdir = $(libdir)/squid
76pkglibexecdir = $(libexecdir)/squid
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = x86_64-pc-linux-gnu
90host_triplet = x86_64-pc-linux-gnu
91check_PROGRAMS =
92am__append_1 = $(INCLTDL)
93subdir = src/clients
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libclients_la_LIBADD =
162am_libclients_la_OBJECTS = Client.lo FtpClient.lo FtpGateway.lo \
163        FtpRelay.lo
164libclients_la_OBJECTS = $(am_libclients_la_OBJECTS)
165AM_V_lt = $(am__v_lt_$(V))
166am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
167am__v_lt_0 = --silent
168am__v_lt_1 = 
169AM_V_P = $(am__v_P_$(V))
170am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
171am__v_P_0 = false
172am__v_P_1 = :
173AM_V_GEN = $(am__v_GEN_$(V))
174am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
175am__v_GEN_0 = @echo "  GEN     " $@;
176am__v_GEN_1 = 
177AM_V_at = $(am__v_at_$(V))
178am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
179am__v_at_0 = @
180am__v_at_1 = 
181DEFAULT_INCLUDES = 
182depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
183am__depfiles_maybe = depfiles
184am__mv = mv -f
185CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
186        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
187LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
188        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
189        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
190        $(AM_CXXFLAGS) $(CXXFLAGS)
191AM_V_CXX = $(am__v_CXX_$(V))
192am__v_CXX_ = $(am__v_CXX_$(AM_DEFAULT_VERBOSITY))
193am__v_CXX_0 = @echo "  CXX     " $@;
194am__v_CXX_1 = 
195CXXLD = $(CXX)
196CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
197        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
198        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
199AM_V_CXXLD = $(am__v_CXXLD_$(V))
200am__v_CXXLD_ = $(am__v_CXXLD_$(AM_DEFAULT_VERBOSITY))
201am__v_CXXLD_0 = @echo "  CXXLD   " $@;
202am__v_CXXLD_1 = 
203COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
204        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
205LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
206        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
207        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
208        $(AM_CFLAGS) $(CFLAGS)
209AM_V_CC = $(am__v_CC_$(V))
210am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
211am__v_CC_0 = @echo "  CC      " $@;
212am__v_CC_1 = 
213CCLD = $(CC)
214LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
215        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
216        $(AM_LDFLAGS) $(LDFLAGS) -o $@
217AM_V_CCLD = $(am__v_CCLD_$(V))
218am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
219am__v_CCLD_0 = @echo "  CCLD    " $@;
220am__v_CCLD_1 = 
221SOURCES = $(libclients_la_SOURCES)
222DIST_SOURCES = $(libclients_la_SOURCES)
223am__can_run_installinfo = \
224  case $$AM_UPDATE_INFO_DIR in \
225    n|no|NO) false;; \
226    *) (install-info --version) >/dev/null 2>&1;; \
227  esac
228am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
229# Read a list of newline-separated strings from the standard input,
230# and print each of them once, without duplicates.  Input order is
231# *not* preserved.
232am__uniquify_input = $(AWK) '\
233  BEGIN { nonempty = 0; } \
234  { items[$$0] = 1; nonempty = 1; } \
235  END { if (nonempty) { for (i in items) print i; }; } \
236'
237# Make sure the list of sources is unique.  This is necessary because,
238# e.g., the same source file might be shared among _SOURCES variables
239# for different programs/libraries.
240am__define_uniq_tagged_files = \
241  list='$(am__tagged_files)'; \
242  unique=`for i in $$list; do \
243    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
244  done | $(am__uniquify_input)`
245ETAGS = etags
246CTAGS = ctags
247am__tty_colors_dummy = \
248  mgn= red= grn= lgn= blu= brg= std=; \
249  am__color_tests=no
250am__tty_colors = { \
251  $(am__tty_colors_dummy); \
252  if test "X$(AM_COLOR_TESTS)" = Xno; then \
253    am__color_tests=no; \
254  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
255    am__color_tests=yes; \
256  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
257    am__color_tests=yes; \
258  fi; \
259  if test $$am__color_tests = yes; then \
260    red='[0;31m'; \
261    grn='[0;32m'; \
262    lgn='[1;32m'; \
263    blu='[1;34m'; \
264    mgn='[0;35m'; \
265    brg='[1m'; \
266    std='[m'; \
267  fi; \
268}
269am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
270am__vpath_adj = case $$p in \
271    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
272    *) f=$$p;; \
273  esac;
274am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
275am__install_max = 40
276am__nobase_strip_setup = \
277  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
278am__nobase_strip = \
279  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
280am__nobase_list = $(am__nobase_strip_setup); \
281  for p in $$list; do echo "$$p $$p"; done | \
282  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
283  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
284    if (++n[$$2] == $(am__install_max)) \
285      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
286    END { for (dir in files) print dir, files[dir] }'
287am__base_list = \
288  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
289  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
290am__uninstall_files_from_dir = { \
291  test -z "$$files" \
292    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
293    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
294         $(am__cd) "$$dir" && rm -f $$files; }; \
295  }
296am__recheck_rx = ^[     ]*:recheck:[    ]*
297am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
298am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
299# A command that, given a newline-separated list of test names on the
300# standard input, print the name of the tests that are to be re-run
301# upon "make recheck".
302am__list_recheck_tests = $(AWK) '{ \
303  recheck = 1; \
304  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
305    { \
306      if (rc < 0) \
307        { \
308          if ((getline line2 < ($$0 ".log")) < 0) \
309            recheck = 0; \
310          break; \
311        } \
312      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
313        { \
314          recheck = 0; \
315          break; \
316        } \
317      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
318        { \
319          break; \
320        } \
321    }; \
322  if (recheck) \
323    print $$0; \
324  close ($$0 ".trs"); \
325  close ($$0 ".log"); \
326}'
327# A command that, given a newline-separated list of test names on the
328# standard input, create the global log from their .trs and .log files.
329am__create_global_log = $(AWK) ' \
330function fatal(msg) \
331{ \
332  print "fatal: making $@: " msg | "cat >&2"; \
333  exit 1; \
334} \
335function rst_section(header) \
336{ \
337  print header; \
338  len = length(header); \
339  for (i = 1; i <= len; i = i + 1) \
340    printf "="; \
341  printf "\n\n"; \
342} \
343{ \
344  copy_in_global_log = 1; \
345  global_test_result = "RUN"; \
346  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
347    { \
348      if (rc < 0) \
349         fatal("failed to read from " $$0 ".trs"); \
350      if (line ~ /$(am__global_test_result_rx)/) \
351        { \
352          sub("$(am__global_test_result_rx)", "", line); \
353          sub("[        ]*$$", "", line); \
354          global_test_result = line; \
355        } \
356      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
357        copy_in_global_log = 0; \
358    }; \
359  if (copy_in_global_log) \
360    { \
361      rst_section(global_test_result ": " $$0); \
362      while ((rc = (getline line < ($$0 ".log"))) != 0) \
363      { \
364        if (rc < 0) \
365          fatal("failed to read from " $$0 ".log"); \
366        print line; \
367      }; \
368      printf "\n"; \
369    }; \
370  close ($$0 ".trs"); \
371  close ($$0 ".log"); \
372}'
373# Restructured Text title.
374am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
375# Solaris 10 'make', and several other traditional 'make' implementations,
376# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
377# by disabling -e (using the XSI extension "set +e") if it's set.
378am__sh_e_setup = case $$- in *e*) set +e;; esac
379# Default flags passed to test drivers.
380am__common_driver_flags = \
381  --color-tests "$$am__color_tests" \
382  --enable-hard-errors "$$am__enable_hard_errors" \
383  --expect-failure "$$am__expect_failure"
384# To be inserted before the command running the test.  Creates the
385# directory for the log if needed.  Stores in $dir the directory
386# containing $f, in $tst the test, in $log the log.  Executes the
387# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
388# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
389# will run the test scripts (or their associated LOG_COMPILER, if
390# thy have one).
391am__check_pre = \
392$(am__sh_e_setup);                                      \
393$(am__vpath_adj_setup) $(am__vpath_adj)                 \
394$(am__tty_colors);                                      \
395srcdir=$(srcdir); export srcdir;                        \
396case "$@" in                                            \
397  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
398    *) am__odir=.;;                                     \
399esac;                                                   \
400test "x$$am__odir" = x"." || test -d "$$am__odir"       \
401  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
402if test -f "./$$f"; then dir=./;                        \
403elif test -f "$$f"; then dir=;                          \
404else dir="$(srcdir)/"; fi;                              \
405tst=$$dir$$f; log='$@';                                 \
406if test -n '$(DISABLE_HARD_ERRORS)'; then               \
407  am__enable_hard_errors=no;                            \
408else                                                    \
409  am__enable_hard_errors=yes;                           \
410fi;                                                     \
411case " $(XFAIL_TESTS) " in                              \
412  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
413    am__expect_failure=yes;;                            \
414  *)                                                    \
415    am__expect_failure=no;;                             \
416esac;                                                   \
417$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
418# A shell command to get the names of the tests scripts with any registered
419# extension removed (i.e., equivalently, the names of the test logs, with
420# the '.log' extension removed).  The result is saved in the shell variable
421# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
422# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
423# since that might cause problem with VPATH rewrites for suffix-less tests.
424# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
425am__set_TESTS_bases = \
426  bases='$(TEST_LOGS)'; \
427  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
428  bases=`echo $$bases`
429RECHECK_LOGS = $(TEST_LOGS)
430AM_RECURSIVE_TARGETS = check recheck
431TEST_SUITE_LOG = test-suite.log
432TEST_EXTENSIONS =  .test
433LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
434LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
435am__set_b = \
436  case '$@' in \
437    */*) \
438      case '$*' in \
439        */*) b='$*';; \
440          *) b=`echo '$@' | sed 's/\.log$$//'`; \
441       esac;; \
442    *) \
443      b='$*';; \
444  esac
445am__test_logs1 = $(TESTS:=.log)
446am__test_logs2 = $(am__test_logs1:.log=.log)
447TEST_LOGS = $(am__test_logs2:.test.log=.log)
448TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
449TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
450        $(TEST_LOG_FLAGS)
451am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
452        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
453        $(top_srcdir)/src/TestHeaders.am
454DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
455ACLOCAL = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing aclocal-1.15
456ADAPTATION_LIBS = adaptation/libadaptation.la
457ALLOCA =
458AMTAR = $${TAR-tar}
459AM_DEFAULT_VERBOSITY = 1
460AR = /usr/bin/ar
461AR_R = /usr/bin/ar r
462AUTH_LIBS_TO_BUILD =  basic/libbasic.la digest/libdigest.la negotiate/libnegotiate.la ntlm/libntlm.la
463AUTH_MODULES =  basic digest negotiate ntlm
464AUTOCONF = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoconf
465AUTOHEADER = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing autoheader
466AUTOMAKE = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing automake-1.15
467AWK = gawk
468BASIC_AUTH_HELPERS =  DB fake getpwnam LDAP NCSA NIS PAM POP3 RADIUS SASL SMB
469BUILDCXX = g++
470BUILDCXXFLAGS = -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
471BZR =
472CACHE_EFFECTIVE_USER = proxy
473CC = gcc
474CCDEPMODE = depmode=none
475CFLAGS = -m64 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -Wall
476CGIEXT = .cgi
477CHMOD = /bin/chmod
478CPP = gcc -E
479CPPFLAGS = -I/usr/include/libxml2 -Wdate-time -D_FORTIFY_SOURCE=2
480CPPUNITCONFIG = /usr/bin/cppunit-config
481CRYPTLIB = -lcrypt
482CXX = g++
483CXXCPP = g++ -E
484CXXDEPMODE = depmode=none
485CXXFLAGS = -m64  -I/usr/include/p11-kit-1 -g -O2 -fPIE -fstack-protector-strong -Wformat -Werror=format-security -std=c++11
486CYGPATH_W = echo
487DEFAULT_HOSTS = /etc/hosts
488DEFAULT_LOG_DIR = /var/log/squid-ssl
489DEFAULT_PID_FILE = /var/run/squid-ssl.pid
490DEFAULT_SWAP_DIR = /var/spool/squid-ssl
491DEFS = -DHAVE_CONFIG_H
492DEPDIR = .deps
493DIGEST_AUTH_HELPERS =  file LDAP
494DISK_LIBS =  libAIO.a libBlocking.a libDiskDaemon.a libDiskThreads.a libIpcIo.a libMmapped.a
495DISK_LINKOBJS =  DiskIO/AIO/AIODiskIOModule.o DiskIO/Blocking/BlockingDiskIOModule.o DiskIO/DiskDaemon/DiskDaemonDiskIOModule.o DiskIO/DiskThreads/DiskThreadsDiskIOModule.o DiskIO/IpcIo/IpcIoDiskIOModule.o DiskIO/Mmapped/MmappedDiskIOModule.o
496DISK_MODULES =  AIO Blocking DiskDaemon DiskThreads IpcIo Mmapped
497DISK_OS_LIBS =  -lrt -lpthread
498DISK_PROGRAMS =  DiskIO/DiskDaemon/diskd
499DLLTOOL = false
500DSYMUTIL =
501DUMPBIN =
502ECAP_LIBS = ecap/libsquid-ecap.la
503ECHO_C =
504ECHO_N = -n
505ECHO_T =
506EGREP = /bin/egrep
507EPOLL_LIBS =
508EUILIB =
509EXEEXT =
510EXPATLIB = -lexpat
511EXTERNAL_ACL_HELPERS =  file_userip kerberos_ldap_group LDAP_group session SQL_session unix_group wbinfo_group
512EXT_LIBECAP_CFLAGS =
513EXT_LIBECAP_LIBS = -lecap
514FALSE = /bin/false
515FGREP = /bin/fgrep
516GREP = grep
517HAVE_CXX11 = 1
518ICAP_LIBS = icap/libicap.la
519INCLTDL =
520INSTALL = /usr/bin/install -c
521INSTALL_DATA = ${INSTALL} -m 644
522INSTALL_PROGRAM = ${INSTALL}
523INSTALL_SCRIPT = ${INSTALL}
524INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
525KRB5INCS = -isystem /usr/include/mit-krb5
526KRB5LIBS =  -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
527LBERLIB = -llber
528LD = /usr/bin/ld -m elf_x86_64
529LDAPLIB = -lldap
530LDFLAGS = -m64 -Wl,-Bsymbolic-functions -fPIE -pie -Wl,-z,relro -Wl,-z,now
531LIBADD_DL = -ldl
532LIBADD_DLD_LINK =
533LIBADD_DLOPEN = -ldl
534LIBADD_SHL_LOAD =
535LIBGNUTLS_CFLAGS = -I/usr/include/p11-kit-1
536LIBGNUTLS_LIBS = -lgnutls
537LIBLTDL = -lltdl
538LIBOBJS =
539LIBOPENSSL_CFLAGS =
540LIBOPENSSL_LIBS = -lssl -lcrypto
541LIBS =
542LIBSASL = -lsasl2
543LIBTOOL = $(SHELL) $(top_builddir)/libtool
544LIB_DB = -ldb
545LIB_KRB5_CFLAGS = -isystem /usr/include/mit-krb5
546LIB_KRB5_LIBS = -L/usr/lib/x86_64-linux-gnu/mit-krb5 -lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err
547LINUXDOC = /bin/false
548LIPO =
549LN = /bin/ln
550LN_S = ln -s
551LOG_DAEMON_HELPERS =  DB file
552LTDLDEPS =
553LTDLINCL =
554LTDLOPEN = libltdl
555LTLIBOBJS =
556LT_ARGZ_H =
557LT_CONFIG_H = include/autoconf.h
558LT_DLLOADERS =  libltdl/dlopen.la
559LT_DLPREOPEN = -dlpreopen libltdl/dlopen.la
560LT_SYS_LIBRARY_PATH =
561MAINT = #
562MAKEINFO = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/missing makeinfo
563MANIFEST_TOOL = :
564MINGW_LIBS =
565MKDIR = /bin/mkdir
566MKDIR_P = /bin/mkdir -p
567MV = /bin/mv
568NEGOTIATE_AUTH_HELPERS =  kerberos wrapper
569NETTLELIB =  -lnettle
570NM = /usr/bin/nm -B
571NMEDIT =
572NTLM_AUTH_HELPERS =  fake smb_lm
573OBJDUMP = objdump
574OBJEXT = o
575OTOOL =
576OTOOL64 =
577PACKAGE = squid
578PACKAGE_BUGREPORT = http://bugs.squid-cache.org/
579PACKAGE_NAME = Squid Web Proxy
580PACKAGE_STRING = Squid Web Proxy 3.5.12
581PACKAGE_TARNAME = squid
582PACKAGE_URL =
583PACKAGE_VERSION = 3.5.12
584PATH_SEPARATOR = :
585PERL = /usr/bin/perl
586PKG_CONFIG = /usr/bin/pkg-config
587PKG_CONFIG_LIBDIR =
588PKG_CONFIG_PATH =
589PO2HTML = off
590PO2TEXT = off
591POD2MAN = /usr/bin/pod2man
592RANLIB = ranlib
593REGEXLIB =
594REPL_LIBS = liblru.a libheap.a
595REPL_OBJS = repl/liblru.a repl/libheap.a
596REPL_POLICIES = lru heap
597RM = /bin/rm -f
598SED = /bin/sed
599SET_MAKE =
600SH = /bin/sh
601SHELL = /bin/bash
602SMBCLIENT = /usr/bin/smbclient
603SNMPLIB = ../lib/snmplib/libsnmplib.la
604SQUID_CFLAGS = -Wall -Wpointer-arith -Wwrite-strings -Wmissing-prototypes -Wmissing-declarations -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
605SQUID_CPPUNIT_INC =
606SQUID_CPPUNIT_LA =
607SQUID_CPPUNIT_LIBS = -L/usr/lib/x86_64-linux-gnu -lcppunit -ldl
608SQUID_CXXFLAGS = -I/usr/include/libxml2 -Wall -Wpointer-arith -Wwrite-strings -Wcomments -Wshadow -Werror -pipe -D_REENTRANT
609SSLLIB =  -lssl -lcrypto  -lgnutls
610STOREID_REWRITE_HELPERS =  file
611STORE_LIBS_TO_ADD =  fs/libufs.la fs/libaufs.la fs/libdiskd.la fs/librock.la
612STORE_LIBS_TO_BUILD =  libufs.la libaufs.la libdiskd.la librock.la
613STORE_TESTS =
614STRIP = strip
615TR = /usr/bin/tr
616TRUE = /bin/true
617URL_REWRITE_HELPERS =  fake
618VERSION = 3.5.12
619WBINFO =
620WIN32_PSAPI =
621XMLLIB = -lxml2
622XTRA_LIBS = -lm -lnsl -lresolv -lcap -lnetfilter_conntrack -lrt
623XTRA_OBJS =
624abs_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/clients
625abs_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/src/clients
626abs_top_builddir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
627abs_top_srcdir = /media/sdb/svn/xenial/squid-ssl/trunk/fuentes
628ac_ct_AR =
629ac_ct_CC = gcc
630ac_ct_CXX = g++
631ac_ct_DUMPBIN =
632am__include = include
633am__leading_dot = .
634am__quote =
635am__tar = tar --format=ustar -chf - "$$tardir"
636am__untar = tar -xf -
637bindir = ${exec_prefix}/bin
638build = x86_64-pc-linux-gnu
639build_alias = x86_64-linux-gnu
640build_cpu = x86_64
641build_os = linux-gnu
642build_vendor = pc
643builddir = .
644datadir = /usr/share/squid-ssl
645datarootdir = ${prefix}/share
646docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
647dvidir = ${docdir}
648exec_prefix = ${prefix}
649host = x86_64-pc-linux-gnu
650host_alias =
651host_cpu = x86_64
652host_os = linux-gnu
653host_vendor = pc
654htmldir = ${docdir}
655includedir = ${prefix}/include
656infodir = ${prefix}/share/info
657install_sh = ${SHELL} /media/sdb/svn/xenial/squid-ssl/trunk/fuentes/cfgaux/install-sh
658krb5_config =
659libdir = ${exec_prefix}/lib
660libexecdir = /usr/lib/squid-ssl
661localedir = ${datarootdir}/locale
662localstatedir = /var
663ltdl_LIBOBJS =  lt__strl.o
664ltdl_LTLIBOBJS =  lt__strl.lo
665mandir = /usr/share/man
666mkdir_p = $(MKDIR_P)
667oldincludedir = /usr/include
668pdfdir = ${docdir}
669prefix = /usr
670program_transform_name = s&$$&-ssl&
671psdir = ${docdir}
672runstatedir = ${localstatedir}/run
673sbindir = ${exec_prefix}/sbin
674sharedstatedir = ${prefix}/com
675srcdir = .
676subdirs =  libltdl
677sys_symbol_underscore = no
678sysconfdir = /etc/squid-ssl
679target_alias =
680top_build_prefix = ../../
681top_builddir = ../..
682top_srcdir = ../..
683AM_CFLAGS = $(SQUID_CFLAGS)
684AM_CXXFLAGS = $(SQUID_CXXFLAGS)
685CLEANFILES = testHeaders
686TESTS = testHeaders
687AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
688        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
689        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
690        $(am__append_1)
691LIBPROFILER =
692#LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
693COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
694subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
695noinst_LTLIBRARIES = libclients.la
696libclients_la_SOURCES = \
697        Client.cc \
698        Client.h \
699        FtpClient.cc \
700        FtpClient.h \
701        FtpGateway.cc \
702        FtpRelay.cc \
703        forward.h
704
705all: all-am
706
707.SUFFIXES:
708.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
709$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
710        @for dep in $?; do \
711          case '$(am__configure_deps)' in \
712            *$$dep*) \
713              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
714                && { if test -f $@; then exit 0; else break; fi; }; \
715              exit 1;; \
716          esac; \
717        done; \
718        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/clients/Makefile'; \
719        $(am__cd) $(top_srcdir) && \
720          $(AUTOMAKE) --gnu src/clients/Makefile
721Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
722        @case '$?' in \
723          *config.status*) \
724            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
725          *) \
726            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
727            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
728        esac;
729$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
730
731$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
732        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
733
734$(top_srcdir)/configure: # $(am__configure_deps)
735        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
736$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
737        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
738$(am__aclocal_m4_deps):
739
740clean-noinstLTLIBRARIES:
741        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
742        @list='$(noinst_LTLIBRARIES)'; \
743        locs=`for p in $$list; do echo $$p; done | \
744              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
745              sort -u`; \
746        test -z "$$locs" || { \
747          echo rm -f $${locs}; \
748          rm -f $${locs}; \
749        }
750
751libclients.la: $(libclients_la_OBJECTS) $(libclients_la_DEPENDENCIES) $(EXTRA_libclients_la_DEPENDENCIES)
752        $(AM_V_CXXLD)$(CXXLINK)  $(libclients_la_OBJECTS) $(libclients_la_LIBADD) $(LIBS)
753
754clean-checkPROGRAMS:
755        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
756        echo " rm -f" $$list; \
757        rm -f $$list || exit $$?; \
758        test -n "$(EXEEXT)" || exit 0; \
759        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
760        echo " rm -f" $$list; \
761        rm -f $$list
762
763mostlyclean-compile:
764        -rm -f *.$(OBJEXT)
765
766distclean-compile:
767        -rm -f *.tab.c
768
769#include ./$(DEPDIR)/Client.Plo
770#include ./$(DEPDIR)/FtpClient.Plo
771#include ./$(DEPDIR)/FtpGateway.Plo
772#include ./$(DEPDIR)/FtpRelay.Plo
773
774.cc.o:
775#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
776#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
777#       $(am__mv) $$depbase.Tpo $$depbase.Po
778#       $(AM_V_CXX)source='$<' object='$@' libtool=no
779#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
780        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ $<
781
782.cc.obj:
783#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
784#       $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
785#       $(am__mv) $$depbase.Tpo $$depbase.Po
786#       $(AM_V_CXX)source='$<' object='$@' libtool=no
787#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
788        $(AM_V_CXX)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
789
790.cc.lo:
791#       $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
792#       $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
793#       $(am__mv) $$depbase.Tpo $$depbase.Plo
794#       $(AM_V_CXX)source='$<' object='$@' libtool=yes
795#       DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp)
796        $(AM_V_CXX)$(LTCXXCOMPILE) -c -o $@ $<
797
798mostlyclean-libtool:
799        -rm -f *.lo
800
801clean-libtool:
802        -rm -rf .libs _libs
803
804ID: $(am__tagged_files)
805        $(am__define_uniq_tagged_files); mkid -fID $$unique
806tags: tags-am
807TAGS: tags
808
809tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
810        set x; \
811        here=`pwd`; \
812        $(am__define_uniq_tagged_files); \
813        shift; \
814        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
815          test -n "$$unique" || unique=$$empty_fix; \
816          if test $$# -gt 0; then \
817            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
818              "$$@" $$unique; \
819          else \
820            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
821              $$unique; \
822          fi; \
823        fi
824ctags: ctags-am
825
826CTAGS: ctags
827ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
828        $(am__define_uniq_tagged_files); \
829        test -z "$(CTAGS_ARGS)$$unique" \
830          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
831             $$unique
832
833GTAGS:
834        here=`$(am__cd) $(top_builddir) && pwd` \
835          && $(am__cd) $(top_srcdir) \
836          && gtags -i $(GTAGS_ARGS) "$$here"
837cscopelist: cscopelist-am
838
839cscopelist-am: $(am__tagged_files)
840        list='$(am__tagged_files)'; \
841        case "$(srcdir)" in \
842          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
843          *) sdir=$(subdir)/$(srcdir) ;; \
844        esac; \
845        for i in $$list; do \
846          if test -f "$$i"; then \
847            echo "$(subdir)/$$i"; \
848          else \
849            echo "$$sdir/$$i"; \
850          fi; \
851        done >> $(top_builddir)/cscope.files
852
853distclean-tags:
854        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
855
856# Recover from deleted '.trs' file; this should ensure that
857# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
858# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
859# to avoid problems with "make -n".
860.log.trs:
861        rm -f $< $@
862        $(MAKE) $(AM_MAKEFLAGS) $<
863
864# Leading 'am--fnord' is there to ensure the list of targets does not
865# expand to empty, as could happen e.g. with make check TESTS=''.
866am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
867am--force-recheck:
868        @:
869
870$(TEST_SUITE_LOG): $(TEST_LOGS)
871        @$(am__set_TESTS_bases); \
872        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
873        redo_bases=`for i in $$bases; do \
874                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
875                    done`; \
876        if test -n "$$redo_bases"; then \
877          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
878          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
879          if $(am__make_dryrun); then :; else \
880            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
881          fi; \
882        fi; \
883        if test -n "$$am__remaking_logs"; then \
884          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
885               "recursion detected" >&2; \
886        elif test -n "$$redo_logs"; then \
887          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
888        fi; \
889        if $(am__make_dryrun); then :; else \
890          st=0;  \
891          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
892          for i in $$redo_bases; do \
893            test -f $$i.trs && test -r $$i.trs \
894              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
895            test -f $$i.log && test -r $$i.log \
896              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
897          done; \
898          test $$st -eq 0 || exit 1; \
899        fi
900        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
901        ws='[   ]'; \
902        results=`for b in $$bases; do echo $$b.trs; done`; \
903        test -n "$$results" || results=/dev/null; \
904        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
905        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
906        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
907        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
908        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
909        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
910        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
911        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
912          success=true; \
913        else \
914          success=false; \
915        fi; \
916        br='==================='; br=$$br$$br$$br$$br; \
917        result_count () \
918        { \
919            if test x"$$1" = x"--maybe-color"; then \
920              maybe_colorize=yes; \
921            elif test x"$$1" = x"--no-color"; then \
922              maybe_colorize=no; \
923            else \
924              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
925            fi; \
926            shift; \
927            desc=$$1 count=$$2; \
928            if test $$maybe_colorize = yes && test $$count -gt 0; then \
929              color_start=$$3 color_end=$$std; \
930            else \
931              color_start= color_end=; \
932            fi; \
933            echo "$${color_start}# $$desc $$count$${color_end}"; \
934        }; \
935        create_testsuite_report () \
936        { \
937          result_count $$1 "TOTAL:" $$all   "$$brg"; \
938          result_count $$1 "PASS: " $$pass  "$$grn"; \
939          result_count $$1 "SKIP: " $$skip  "$$blu"; \
940          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
941          result_count $$1 "FAIL: " $$fail  "$$red"; \
942          result_count $$1 "XPASS:" $$xpass "$$red"; \
943          result_count $$1 "ERROR:" $$error "$$mgn"; \
944        }; \
945        {                                                               \
946          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
947            $(am__rst_title);                                           \
948          create_testsuite_report --no-color;                           \
949          echo;                                                         \
950          echo ".. contents:: :depth: 2";                               \
951          echo;                                                         \
952          for b in $$bases; do echo $$b; done                           \
953            | $(am__create_global_log);                                 \
954        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
955        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
956        if $$success; then                                              \
957          col="$$grn";                                                  \
958         else                                                           \
959          col="$$red";                                                  \
960          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
961        fi;                                                             \
962        echo "$${col}$$br$${std}";                                      \
963        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
964        echo "$${col}$$br$${std}";                                      \
965        create_testsuite_report --maybe-color;                          \
966        echo "$$col$$br$$std";                                          \
967        if $$success; then :; else                                      \
968          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
969          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
970            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
971          fi;                                                           \
972          echo "$$col$$br$$std";                                        \
973        fi;                                                             \
974        $$success || exit 1
975
976check-TESTS:
977        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
978        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
979        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
980        @set +e; $(am__set_TESTS_bases); \
981        log_list=`for i in $$bases; do echo $$i.log; done`; \
982        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
983        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
984        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
985        exit $$?;
986recheck: all $(check_PROGRAMS)
987        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
988        @set +e; $(am__set_TESTS_bases); \
989        bases=`for i in $$bases; do echo $$i; done \
990                 | $(am__list_recheck_tests)` || exit 1; \
991        log_list=`for i in $$bases; do echo $$i.log; done`; \
992        log_list=`echo $$log_list`; \
993        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
994                am__force_recheck=am--force-recheck \
995                TEST_LOGS="$$log_list"; \
996        exit $$?
997testHeaders.log: testHeaders
998        @p='testHeaders'; \
999        b='testHeaders'; \
1000        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1001        --log-file $$b.log --trs-file $$b.trs \
1002        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1003        "$$tst" $(AM_TESTS_FD_REDIRECT)
1004.test.log:
1005        @p='$<'; \
1006        $(am__set_b); \
1007        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1008        --log-file $$b.log --trs-file $$b.trs \
1009        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1010        "$$tst" $(AM_TESTS_FD_REDIRECT)
1011#.test$(EXEEXT).log:
1012#       @p='$<'; \
1013#       $(am__set_b); \
1014#       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1015#       --log-file $$b.log --trs-file $$b.trs \
1016#       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1017#       "$$tst" $(AM_TESTS_FD_REDIRECT)
1018
1019distdir: $(DISTFILES)
1020        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1021        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1022        list='$(DISTFILES)'; \
1023          dist_files=`for file in $$list; do echo $$file; done | \
1024          sed -e "s|^$$srcdirstrip/||;t" \
1025              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1026        case $$dist_files in \
1027          */*) $(MKDIR_P) `echo "$$dist_files" | \
1028                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1029                           sort -u` ;; \
1030        esac; \
1031        for file in $$dist_files; do \
1032          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1033          if test -d $$d/$$file; then \
1034            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1035            if test -d "$(distdir)/$$file"; then \
1036              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1037            fi; \
1038            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1039              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1040              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1041            fi; \
1042            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1043          else \
1044            test -f "$(distdir)/$$file" \
1045            || cp -p $$d/$$file "$(distdir)/$$file" \
1046            || exit 1; \
1047          fi; \
1048        done
1049check-am: all-am
1050        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1051        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1052check: check-am
1053all-am: Makefile $(LTLIBRARIES)
1054installdirs:
1055install: install-am
1056install-exec: install-exec-am
1057install-data: install-data-am
1058uninstall: uninstall-am
1059
1060install-am: all-am
1061        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1062
1063installcheck: installcheck-am
1064install-strip:
1065        if test -z '$(STRIP)'; then \
1066          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1067            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1068              install; \
1069        else \
1070          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1071            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1072            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1073        fi
1074mostlyclean-generic:
1075        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1076        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1077        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1078
1079clean-generic:
1080        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1081
1082distclean-generic:
1083        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1084        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1085
1086maintainer-clean-generic:
1087        @echo "This command is intended for maintainers to use"
1088        @echo "it deletes files that may require special tools to rebuild."
1089clean: clean-am
1090
1091clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1092        clean-noinstLTLIBRARIES mostlyclean-am
1093
1094distclean: distclean-am
1095        -rm -rf ./$(DEPDIR)
1096        -rm -f Makefile
1097distclean-am: clean-am distclean-compile distclean-generic \
1098        distclean-tags
1099
1100dvi: dvi-am
1101
1102dvi-am:
1103
1104html: html-am
1105
1106html-am:
1107
1108info: info-am
1109
1110info-am:
1111
1112install-data-am:
1113
1114install-dvi: install-dvi-am
1115
1116install-dvi-am:
1117
1118install-exec-am:
1119
1120install-html: install-html-am
1121
1122install-html-am:
1123
1124install-info: install-info-am
1125
1126install-info-am:
1127
1128install-man:
1129
1130install-pdf: install-pdf-am
1131
1132install-pdf-am:
1133
1134install-ps: install-ps-am
1135
1136install-ps-am:
1137
1138installcheck-am:
1139
1140maintainer-clean: maintainer-clean-am
1141        -rm -rf ./$(DEPDIR)
1142        -rm -f Makefile
1143maintainer-clean-am: distclean-am maintainer-clean-generic
1144
1145mostlyclean: mostlyclean-am
1146
1147mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1148        mostlyclean-libtool
1149
1150pdf: pdf-am
1151
1152pdf-am:
1153
1154ps: ps-am
1155
1156ps-am:
1157
1158uninstall-am:
1159
1160.MAKE: check-am install-am install-strip
1161
1162.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1163        clean-checkPROGRAMS clean-generic clean-libtool \
1164        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1165        distclean-compile distclean-generic distclean-libtool \
1166        distclean-tags distdir dvi dvi-am html html-am info info-am \
1167        install install-am install-data install-data-am install-dvi \
1168        install-dvi-am install-exec install-exec-am install-html \
1169        install-html-am install-info install-info-am install-man \
1170        install-pdf install-pdf-am install-ps install-ps-am \
1171        install-strip installcheck installcheck-am installdirs \
1172        maintainer-clean maintainer-clean-generic mostlyclean \
1173        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1174        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1175        uninstall-am
1176
1177.PRECIOUS: Makefile
1178
1179
1180$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1181
1182testHeaders: $(srcdir)/*.h
1183        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1184
1185.PHONY: testHeaders
1186
1187# Tell versions [3.59,3.63) of GNU make to not export all variables.
1188# Otherwise a system limit (for SysV at least) may be exceeded.
1189.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.